Skip to main content
GET
/
api
/
customer-portal
/
customers
/
me
Get Customer
curl --request GET \
  --url https://api.rapidly.tech/api/customer-portal/customers/me \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "email": "<string>",
  "email_verified": true,
  "name": "<string>",
  "billing_name": "<string>",
  "billing_address": {
    "country": "AD",
    "line1": "<string>",
    "line2": "<string>",
    "postal_code": "<string>",
    "city": "<string>",
    "state": "<string>"
  },
  "oauth_accounts": {},
  "type": "individual"
}

Authorizations

Authorization
string
header
required

Customer session tokens authenticate end-users in the customer portal. Create them via the Create Customer Session endpoint.

Response

200 - application/json

Successful Response

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

id
string<uuid4>
required

The ID of the object.

email
string
required
email_verified
boolean
required
name
string | null
required
billing_name
string | null
required
billing_address
Address · object
required

A postal address with optional subdivision (state/province) validation.

oauth_accounts
Oauth Accounts · object
required
type
enum<string> | null

Lifecycle type: individual (B2C) or team (seat-based).

Available options:
individual,
team